<mat-card style="text-align: center;">
    <mat-card-title>Articulo</mat-card-title>
    <mat-card-content>
        <div class="content" role="main">
            <form [formGroup]="articuloForm">
                    <div class="row">
                        <div class="col-lg-6">
                            <mat-form-field appearance="outline">
                                <input matInput placeholder="Codigo" formControlName="codigo" required>
                            </mat-form-field>
                        </div>
                        <div class="col-lg-6">
                            <mat-form-field appearance="outline">
                                <input matInput placeholder="Nombre" formControlName="nombre" required>
                            </mat-form-field>
                        </div>
                        <div class="col-lg-6">
                            <mat-form-field appearance="outline">
                                <input matInput placeholder="Precio Unitario" formControlName="precioUnitario" required>
                            </mat-form-field>
                        </div>
                        <div class="col-lg-6">
                            <mat-form-field appearance="outline">
                                <input matInput placeholder="Stock" formControlName="stock" required>
                            </mat-form-field>
                        </div>
                        <div class="col-lg-6">
                            <mat-checkbox name="activo" formControlName="activo">Activo</mat-checkbox>
                        </div>
                    </div>
                
                <div class="row" style="margin-top: 5%;">
                   <button mat-raised-button  color="primary" (click)="onSubmit()">Guardar</button>
                   <button mat-raised-button [mat-dialog-close]="true"  color="primary" style="margin-left:5%">Salir</button>
                </div>

            </form>
        </div>
    </mat-card-content>
</mat-card>
